This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 92223 - example of lvm over md in kickstart doc
example of lvm over md in kickstart doc
Status: CLOSED NEXTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: rhl-cg (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Sandra Moore
John Ha
:
Depends On:
Blocks: 123819
  Show dependency treegraph
 
Reported: 2003-06-03 18:44 EDT by Marc MERLIN
Modified: 2014-08-04 18:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-08 15:40:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Marc MERLIN 2003-06-03 18:44:33 EDT
rhl-cg-en-9/s1-kickstart2-options.html
doesn't give good details on how partitioning, raid, and lvm work together.

By reading the docs, I did not realize that the installer did support lvm on
top of raid. I just had no idea what the syntax would be.

Could you add a meta-example like this one, to show the options in action?
----------------------------------------------------------------------------
clearpart --drives=hda,hdc --initlabel

# Raid 1 IDE config
part raid.11    --size 1000     --asprimary     --ondrive=hda
part raid.12    --size 1000     --asprimary     --ondrive=hda
part raid.13    --size 2000     --asprimary     --ondrive=hda
part raid.14    --size 8000                     --ondrive=hda
part raid.15    --size 1 --grow                 --ondrive=hda
           
part raid.21    --size 1000     --asprimary     --ondrive=hdc
part raid.22    --size 1000     --asprimary     --ondrive=hdc
part raid.23    --size 2000     --asprimary     --ondrive=hdc
part raid.24    --size 8000                     --ondrive=hdc
part raid.25    --size 1 --grow                 --ondrive=hdc

# You can add --spares=x 
raid /          --fstype ext3 --device md0 --level=RAID1 raid.11 raid.21
raid /safe      --fstype ext3 --device md1 --level=RAID1 raid.12 raid.22
raid swap       --fstype swap --device md2 --level=RAID1 raid.13 raid.23
raid /usr       --fstype ext3 --device md3 --level=RAID1 raid.14 raid.24
raid pv.01      --fstype ext3 --device md4 --level=RAID1 raid.15 raid.25

# LVM configuration so that we can resize /var and /usr/local later
volgroup sysvg pv.01    
logvol /var             --vgname=sysvg  --size=8000     --name=var
logvol /var/freespace   --vgname=sysvg  --size=8000     --name=freespacetouse
logvol /usr/local       --vgname=sysvg  --size=1 --grow --name=usrlocal
----------------------------------------------------------------------------
Comment 1 Tammy Fox 2004-02-27 00:44:17 EST
Changing owner to new owner
Comment 2 Andrius Benokraitis 2005-02-02 16:08:20 EST
Greetings Marc,

I'm updating the kickstart chapter in the SAG for Red Hat Enterprise
Linux 4, and LMV2 is the default mechanism for creation of volumes.

The concern I have in your mentioned example is that the content spans
multiple chapters in the manual.

Where exactly, in which options section should this go in the
kickstart section? Is your concern based more during installation
using anaconda and disk druid?

Thanks so much!

Andrius.
Comment 3 Andrius Benokraitis 2005-02-08 14:53:35 EST
Marc, haven't heard back from you on this, and our deadline for RHEL4
documentation is looming. Please contact me to reopen the bug or for
more clarification! Thanks so much!
Comment 4 Marc MERLIN 2005-02-08 15:00:33 EST
I apologize, I didn't see your first reply.
If I were to guess, I'd say anaconda, but honestly, you can pick either.
As long as it's there somewhere, people can grep/search for it
Comment 5 Andrius Benokraitis 2005-02-08 15:12:29 EST
Currently, in the raid options section the following is there:

part raid.01 --size=60 --ondisk=sda
part raid.02 --size=60 --ondisk=sdb
part raid.03 --size=60 --ondisk=sdc

part swap --size=128 --ondisk=sda 
part swap --size=128 --ondisk=sdb 
part swap --size=128 --ondisk=sdc

part raid.11 --size=1 --grow --ondisk=sda 
part raid.12 --size=1 --grow --ondisk=sdb 
part raid.13 --size=1 --grow --ondisk=sdc

raid / --level=1 --device=md0 raid.01 raid.02 raid.03 
raid /usr --level=5 --device=md1 raid.11 raid.12 raid.13

I assume this isn't sufficient?

I don't believe your suggestion belongs in clearpart, but possibly an
example in part?
Comment 6 Marc MERLIN 2005-02-08 15:15:14 EST
I would put it under LVM, the part that was specifically hard for me
to find was:
raid pv.01      --fstype ext3 --device md4 --level=RAID1 raid.15 raid.25

# LVM configuration so that we can resize /var and /usr/local later
volgroup sysvg pv.01    
logvol /var             --vgname=sysvg  --size=8000     --name=var
logvol /var/freespace   --vgname=sysvg  --size=8000    
--name=freespacetouse
logvol /usr/local       --vgname=sysvg  --size=1 --grow --name=usrlocal


Comment 7 Andrius Benokraitis 2005-02-08 15:24:13 EST
how about I add your advanced example under logvol?
Comment 8 Marc MERLIN 2005-02-08 15:25:47 EST
You're in charge of documentation, wherever is good as far as I'm
concerned ;)
But yes, that sounds like a good place.
Comment 9 Andrius Benokraitis 2005-02-08 15:29:22 EST
Thanks for your advice, I think I'll add a new section, "Partitioning
Examples" after the options section...

Thanks again!

Note You need to log in before you can comment on or make changes to this bug.